import json
import subprocess

colors = ['purple',
          'blue',
          'yellow',
          ]
          
effects = ['Knight rider','Snake','Cold mood blobs','Full color mood blobs','Warm mood blobs','Rainbow mood','Rainbow swirl fast','Rainbow swirl',]

defaultData = {"color":"purple",
               "effect":"Knight rider"
               }

def read_current():
    try:
        with open('/home/osmc/hyperion/current.json', 'r') as f:
            data = json.load(f)
        f.close()
        if data == '':
            return defaultData
        else:
            return data
    except (IOError, ValueError):
        return defaultData

def write_current(data):
    try:
        with open('/home/osmc/hyperion/current.json', 'w') as f:
            json.dump(data, f)
        f.close()
    except IOError:
        pass

def set_current_effect(effect):
    subprocess.Popen('/opt/hyperion/bin/hyperion-remote --priority 100 --effect "' + effect + '"', shell=True)

def main():
    current_data = read_current()
    for i,effect in enumerate(effects):
        if effect == current_data['effect']:
            if i == len(effects) - 1:
                current_data['effect'] = effects[0]
                break
            else:
                current_data['effect'] = effects[i + 1]
                break

    write_current(current_data)
    set_current_effect(current_data['effect'])

main()